Skip to main content
Server path: /xero-purchasing | Type: Application | PCID required: Yes

Tools

ToolDescription
xero_purchasing_create_expense_claimsCreates expense claims
xero_purchasing_create_itemsCreates one or more items
xero_purchasing_create_purchase_ordersCreates one or more purchase orders
xero_purchasing_create_receiptCreates draft expense claim receipts for any user
xero_purchasing_delete_itemDeletes a specific item
xero_purchasing_get_expense_claimRetrieves a specific expense claim using a unique expense claim Id
xero_purchasing_get_expense_claimsRetrieves expense claims
xero_purchasing_get_itemRetrieves a specific item using a unique item Id
xero_purchasing_get_itemsRetrieves items
xero_purchasing_get_purchase_orderRetrieves a specific purchase order using a unique purchase order Id
xero_purchasing_get_purchase_order_as_pdfRetrieves specific purchase order as PDF files using a unique purchase order Id
xero_purchasing_get_purchase_order_by_numberRetrieves a specific purchase order using purchase order number
xero_purchasing_get_purchase_ordersRetrieves purchase orders
xero_purchasing_get_receiptRetrieves a specific draft expense claim receipt by using a unique receipt Id
xero_purchasing_get_receiptsRetrieves draft expense claim receipts for any user
xero_purchasing_update_expense_claimUpdates a specific expense claims
xero_purchasing_update_itemUpdates a specific item
xero_purchasing_update_or_create_itemsUpdates or creates one or more items
xero_purchasing_update_or_create_purchase_ordersUpdates or creates one or more purchase orders
xero_purchasing_update_purchase_orderUpdates a specific purchase order
xero_purchasing_update_receiptUpdates a specific draft expense claim receipts

xero_purchasing_create_expense_claims

Creates expense claims Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
ExpenseClaimsobject[]NoExpense Claims

xero_purchasing_create_items

Creates one or more items Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
summarizeErrorsbooleanNoIf false return 200 OK and mix of successfully created objects and any with validation errors
unitdpintegerNoe.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
Itemsobject[]NoThe items value

xero_purchasing_create_purchase_orders

Creates one or more purchase orders Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
summarizeErrorsbooleanNoIf false return 200 OK and mix of successfully created objects and any with validation errors
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
paginationobjectNoThe pagination value
PurchaseOrdersobject[]NoPurchase Orders
Warningsobject[]NoDisplays array of warning messages from the API

xero_purchasing_create_receipt

Creates draft expense claim receipts for any user Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
unitdpintegerNoe.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
Receiptsobject[]NoThe receipts value

xero_purchasing_delete_item

Deletes a specific item Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
ItemIDstringYesUnique identifier for an Item

xero_purchasing_get_expense_claim

Retrieves a specific expense claim using a unique expense claim Id Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
ExpenseClaimIDstringYesUnique identifier for a ExpenseClaim

xero_purchasing_get_expense_claims

Retrieves expense claims Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
If-Modified-SincestringNoOnly records created or modified since this timestamp will be returned
wherestringNoFilter by an any element
orderstringNoOrder by an any element

xero_purchasing_get_item

Retrieves a specific item using a unique item Id Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
ItemIDstringYesUnique identifier for an Item
unitdpintegerNoe.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts

xero_purchasing_get_items

Retrieves items Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
If-Modified-SincestringNoOnly records created or modified since this timestamp will be returned
wherestringNoFilter by an any element
orderstringNoOrder by an any element
unitdpintegerNoe.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts

xero_purchasing_get_purchase_order

Retrieves a specific purchase order using a unique purchase order Id Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
PurchaseOrderIDstringYesUnique identifier for an Purchase Order

xero_purchasing_get_purchase_order_as_pdf

Retrieves specific purchase order as PDF files using a unique purchase order Id Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
PurchaseOrderIDstringYesUnique identifier for an Purchase Order

xero_purchasing_get_purchase_order_by_number

Retrieves a specific purchase order using purchase order number Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
PurchaseOrderNumberstringYesUnique identifier for a PurchaseOrder

xero_purchasing_get_purchase_orders

Retrieves purchase orders Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
If-Modified-SincestringNoOnly records created or modified since this timestamp will be returned
StatusstringNoFilter by purchase order status
DateFromstringNoFilter by purchase order date (e.g. GET https://…/PurchaseOrders?DateFrom=2015-12-01&DateTo=2015-12-31
DateTostringNoFilter by purchase order date (e.g. GET https://…/PurchaseOrders?DateFrom=2015-12-01&DateTo=2015-12-31
orderstringNoOrder by an any element
pageintegerNoTo specify a page, append the page parameter to the URL e.g. ?page=1. If there are 100 records in the response you will need to check if there is any more data by fetching the next page e.g ?page=2 and continuing this process until no more results are returned.
pageSizeintegerNoNumber of records to retrieve per page

xero_purchasing_get_receipt

Retrieves a specific draft expense claim receipt by using a unique receipt Id Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
ReceiptIDstringYesUnique identifier for a Receipt
unitdpintegerNoe.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts

xero_purchasing_get_receipts

Retrieves draft expense claim receipts for any user Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
If-Modified-SincestringNoOnly records created or modified since this timestamp will be returned
wherestringNoFilter by an any element
orderstringNoOrder by an any element
unitdpintegerNoe.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts

xero_purchasing_update_expense_claim

Updates a specific expense claims Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
ExpenseClaimIDstringYesUnique identifier for a ExpenseClaim
ExpenseClaimsobject[]NoExpense Claims

xero_purchasing_update_item

Updates a specific item Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
ItemIDstringYesUnique identifier for an Item
unitdpintegerNoe.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
Itemsobject[]NoThe items value

xero_purchasing_update_or_create_items

Updates or creates one or more items Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
summarizeErrorsbooleanNoIf false return 200 OK and mix of successfully created objects and any with validation errors
unitdpintegerNoe.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
Itemsobject[]NoThe items value

xero_purchasing_update_or_create_purchase_orders

Updates or creates one or more purchase orders Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
summarizeErrorsbooleanNoIf false return 200 OK and mix of successfully created objects and any with validation errors
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
paginationobjectNoThe pagination value
PurchaseOrdersobject[]NoPurchase Orders
Warningsobject[]NoDisplays array of warning messages from the API

xero_purchasing_update_purchase_order

Updates a specific purchase order Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
PurchaseOrderIDstringYesUnique identifier for an Purchase Order
paginationobjectNoThe pagination value
PurchaseOrdersobject[]NoPurchase Orders
Warningsobject[]NoDisplays array of warning messages from the API

xero_purchasing_update_receipt

Updates a specific draft expense claim receipts Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
ReceiptIDstringYesUnique identifier for a Receipt
unitdpintegerNoe.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
Receiptsobject[]NoThe receipts value